Simulation Interface Toolkit Upgrade Path

Updated Jun 19, 2019

Reported In

Software

  • LabVIEW Model Interface Toolkit
  • LabVIEW Simulation Interface Toolkit

Issue Details

I have been using the LabVIEW Simulation Interface Toolkit to run my simulation model in LabVIEW. I want to upgrade to a newer version of LabVIEW to run on my Windows 10 PC, but I cannot find an installer for a newer version of the Simulation Interface Toolkit. What are my options for upgrading?

Solution

The Simulation Interface Toolkit (SIT) is no longer developed by National Instruments. The last version of SIT available to install and use in LabVIEW is the 2012 version, so there is no version available that is compatible with Windows 10. Starting in 2013, NI introduced the Model Interface Toolkit, which is the recommended way to load and run models from several 3rd-party simulation environments in LabVIEW. 

If you have existing LabVIEW code written using the SIT that you would like to upgrade to a newer version of LabVIEW, please refer to Migrating Simulation Interface Toolkit (SIT) Applications to the Model Interface Toolkit.

Additional Information

The Model Interface Toolkit is included with the installer for NI VeriStand. It is possible to install just Model Interface Toolkit without installing the rest of the VeriStand software.